JoinExpression (Groovy 5.0.6)
Description: declaration: package: org.apache.groovy.ginq.dsl.expression, class: JoinExpression

Package org.apache.groovy.ginq.dsl.expression

# Class JoinExpression

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.apache.groovy.ginq.dsl.expression.AbstractGinqExpression
org.apache.groovy.ginq.dsl.expression.DataSourceExpression
org.apache.groovy.ginq.dsl.expression.JoinExpression

All Implemented Interfaces:
  `GroovydocHolder<AnnotatedNode>`, `DataSourceHolder`, `NodeMetaDataHandler`

public class JoinExpression extends DataSourceExpression implements DataSourceHolder
Represents join expression

Since:
  4.0.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `INNER_HASH_JOIN`
  `static final String`
  `INNER_JOIN`
  `static final List<String>`
  `JOIN_NAME_LIST`
  `static final String`
  `LEFT_HASH_JOIN`
  `static final String`
  `SMART_INNER_JOIN`

  ### Fields inherited from class org.apache.groovy.ginq.dsl.expression.DataSourceExpression

  `aliasExpr, dataSourceExpr`

  ### Fields inherited from class org.codehaus.groovy.ast.expr.Expression

  `EMPTY_ARRAY`

  ### Fields inherited from interface groovy.lang.groovydoc.GroovydocHolder

  `DOC_COMMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JoinExpression(String joinName, Expression aliasExpr, Expression dataSourceExpr)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<R> R`
  `accept(GinqAstVisitor<R> visitor)`
  `DataSourceExpression`
  `getDataSourceExpression()`
  `String`
  `getJoinName()`
  `OnExpression`
  `getOnExpression()`
  `String`
  `getText()`
  `boolean`
  `isCrossJoin()`
  `boolean`
  `isInnerHashJoin()`
  `boolean`
  `isInnerJoin()`
  `static boolean`
  `isJoinExpression(String methodName)`
  `boolean`
  `isLeftHashJoin()`
  `boolean`
  `isLeftJoin()`
  `boolean`
  `isSmartInnerJoin()`
  `void`
  `setDataSourceExpression(DataSourceExpression dataSourceExpression)`
  `void`
  `setOnExpression(OnExpression onExpression)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.groovy.ginq.dsl.expression.DataSourceExpression

  `getAliasExpr, getDataSourceExpr, setDataSourceExpr`

  ### Methods inherited from class org.apache.groovy.ginq.dsl.expression.AbstractGinqExpression

  `transformExpression, visit`

  ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

  `getType, setType, transformExpressions, transformExpressions`

  ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

  `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getMetaDataMap, getNodeMetaData, getNodeMetaData, getNodeMetaData, newMetaDataMap, putNodeMetaData, removeNodeMetaData, setMetaDataMap, setNodeMetaData`

- ## Field Details

  - ### SMART_INNER_JOIN

    public static final String SMART_INNER_JOIN
    See Also:
      - Constant Field Values

  - ### INNER_JOIN

    public static final String INNER_JOIN
    See Also:
      - Constant Field Values

  - ### INNER_HASH_JOIN

    public static final String INNER_HASH_JOIN
    See Also:
      - Constant Field Values

  - ### LEFT_HASH_JOIN

    public static final String LEFT_HASH_JOIN
    See Also:
      - Constant Field Values

  - ### JOIN_NAME_LIST

    public static final List<String> JOIN_NAME_LIST

- ## Constructor Details

  - ### JoinExpression

    public JoinExpression(String joinName, Expression aliasExpr, Expression dataSourceExpr)

- ## Method Details

  - ### isJoinExpression

    public static boolean isJoinExpression(String methodName)

  - ### isCrossJoin

    public boolean isCrossJoin()

  - ### isSmartInnerJoin

    public boolean isSmartInnerJoin()

  - ### isInnerJoin

    public boolean isInnerJoin()

  - ### isInnerHashJoin

    public boolean isInnerHashJoin()

  - ### isLeftJoin

    public boolean isLeftJoin()

  - ### isLeftHashJoin

    public boolean isLeftHashJoin()

  - ### accept

    public <R> R accept(GinqAstVisitor<R> visitor)
    Specified by:
      `accept` in class `AbstractGinqExpression`

  - ### getJoinName

    public String getJoinName()

  - ### getOnExpression

    public OnExpression getOnExpression()

  - ### setOnExpression

    public void setOnExpression(OnExpression onExpression)

  - ### getDataSourceExpression

    public DataSourceExpression getDataSourceExpression()
    Specified by:
      `getDataSourceExpression` in interface `DataSourceHolder`

  - ### setDataSourceExpression

    public void setDataSourceExpression(DataSourceExpression dataSourceExpression)
    Specified by:
      `setDataSourceExpression` in interface `DataSourceHolder`

  - ### getText

    public String getText()
    Overrides:
      `getText` in class `ASTNode`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`